Subject: 24.3.50; Some *-dos coding systems remove characters before LF for some files.

From: Kazuhiro Ito <[email-masked]>
Date: Sat, 27 Apr 2013 21:03:03 +0900

When I evaluate the below code on trunk, I get different result from 24.3.

(let ((file (expand-file-name "HELLO" data-directory)))
  (mapcar
   (lambda (coding)
     (with-temp-buffer
       (let ((coding-system-for-read coding))
	 (insert-file-contents file))
       (cons coding
	     (buffer-substring
	      (point-min) (progn (forward-line 1) (point))))))
   '(iso-8859-1-unix
     iso-8859-1-dos
     raw-text-unix
     raw-text-dos
     sjis-unix
     sjis-dos
     iso-2022-7bit-unix
     iso-2022-7bit-dos)))

->

((iso-8859-1-unix . "This is a list of ways to say hello in various languages.
") (iso-8859-1-dos . "This is a list of ways to say hello in various languages
") (raw-text-unix . "This is a list of ways to say hello in various languages.
") (raw-text-dos . "This is a list of ways to say hello in various languages
") (sjis-unix . "This is a list of ways to say hello in various languages.
") (sjis-dos . "This is a list of ways to say hello in various languages
") (iso-2022-7bit-unix . "This is a list of ways to say hello in various languages.
") (iso-2022-7bit-dos . "This is a list of ways to say hello in various languages.
"))

Result of Emacs 23.4 is below.

((iso-8859-1-unix . "This is a list of ways to say hello in various languages.
") (iso-8859-1-dos . "This is a list of ways to say hello in various languages.
") (raw-text-unix . "This is a list of ways to say hello in various languages.
") (raw-text-dos . "This is a list of ways to say hello in various languages.
") (sjis-unix . "This is a list of ways to say hello in various languages.
") (sjis-dos . "This is a list of ways to say hello in various languages.
") (iso-2022-7bit-unix . "This is a list of ways to say hello in various languages.
") (iso-2022-7bit-dos . "This is a list of ways to say hello in various languages.
"))

We can confirm manually with universal-coding-system-argument and
find-file command.  The problem seems to depend the content of the
file and the kind of coding system.  For example, it does not occur
with NEWS file.  Of course, it is bad manner to load the content of
the file with incorrect coding system.  But I think this current
behavior is very confusing.

-- 
Kazuhiro Ito